<?php

    /**
     * User: Daniel Schmitzer (daschmi@daschmi.de)
     * Date: 10.07.17
     * Time: 14:08
     *
     * Plugin Name: EmailScrambler
     * Plugin URI: https://daschmi.de/wpes
     * Description: A lightweight plugin to protect email addresses from email-harvesting
     * Version: 1.4
     * Author: Daniel Schmitzer
     * Author URI: https://daschmi.de/
     * Text Domain: wpes 
     */

    namespace wpes;

    require_once dirname(__FILE__).'/classes/wpes.class.php';
    require_once dirname(__FILE__).'/classes/action.class.php';

	add_action('wp_head', ['\wpes\action', 'wp_head']);
	add_action('wp_footer', ['\wpes\action', 'wp_footer']);
    
    add_action('wp_enqueue_scripts', array('\wpes\action', 'wp_enqueue_scripts'));
